> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a mobile number for Web, with transaction id.

> Verifies the authenticity of a user's mobile number with a transaction id, which is generated during the request process (For Web).



## OpenAPI

````yaml /openapi.json post /v1/api/verify/{transactionId}
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/verify/{transactionId}:
    post:
      tags:
        - Authmatech Verify & Verify+
      summary: Verify a mobile number for Web, with transaction id.
      description: >-
        Verifies the authenticity of a user's mobile number with a transaction
        id, which is generated during the request process (For Web).
      operationId: verifyNumberForWebWithTransactionId
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
        - name: transactionId
          in: path
          description: Generated UUID during the first request process (Via Web SDK)
          required: true
          schema:
            type: string
          example: 0f2a8e20-4d4e-4fce-a19f-4cd9b1e4c3ab
        - name: maskMobile
          in: query
          description: >-
            If **true**, the response returns the Mobile Number in masked form
            (e.g. ******12). to help the customer in his verification journey
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyNumberGIFForwardingBody'
        required: true
      responses:
        '200':
          description: Verification successful
          content:
            application/json:
              example:
                success: true
                messages:
                  - type: SUCCESS
                    httpStatus: OK
                    technical: false
                data:
                  validNumber: true
        '400':
          description: Verification Failed, Or Invalid request data
          content:
            application/json:
              example:
                success: false
                messages:
                  - type: FAILURE
                    message: Mobile number not detected
                    httpStatus: BAD_REQUEST
                    technical: false
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
        '500':
          description: Server error during verification
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    VerifyNumberGIFForwardingBody:
      type: object
      properties:
        mobileNumber:
          type: string
        serviceType:
          type: string
          title: REGISTRATION, LOGIN, RESET_PASS, UPDATE_DETAILS, TRANSACTION
    Response:
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````